osdir.com

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [users@httpd] Re: Updating to php 7.0 and having apache still work?


As for the "filter_var" error, you're missing a php extension/module.

On Sat, Sep 29, 2018 at 10:57 PM Frank Gingras <thumbs@xxxxxxxxxx> wrote:
"Primary Script Unknown" means that you're mapping to a non-existent resource on the fpm backend - remember that when using ProxyPassMatch, the request uri path is appended to the last path provided.

On Sat, Sep 29, 2018 at 5:06 PM @lbutlr <kremels@xxxxxxxxx> wrote:
On 29 Sep 2018, at 05:59, Frank Gingras <thumbs@xxxxxxxxxx> wrote:
> "Everything breaks" isn't really a useful statement. Be more specific if you want more precise feedback.

I mentioned a couple of the issues in the original post, which are either fcgi cannot find the scripts to run, or there is an error with filter.

[proxy_fcgi:error] … AH01071: Got error 'Primary script unknown\n'
[proxy_fcgi:error] … AH01071: Got error 'PHP message: PHP Fatal error:  Call to undefined function filter_var()

Though these are the most common issues in trying to upgrade, they are by no means the only ones.

But my post wasn’t about the specific errors, but more a request to see if there was a “this is how you upgrade from php 5.6 to php 7.0” which seems like it should just be a simple upgrade, but doesn’t seem to be, at least interns of getting it to work with apache 2.4.

1. Upgrade php to 7.0
2. restart php-fpm
3. Stop and start apache

Seems simple enough, but after step 3 php works fine, but apache doesn’t.

Even if I go ahead and reinstall/upgreade apache 2.4, things are still broken.

Repeating the steps with php56 and everything is back to normal


--
Passion is the pill you can swallow forever Taking them one by one One
by One --Agents of Good Roots "Come On”


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@xxxxxxxxxxxxxxxx
For additional commands, e-mail: users-help@xxxxxxxxxxxxxxxx